layer_flatten {keras} | R Documentation

## Flattens an input

### Description

Flatten a given input, does not affect the batch size.

### Usage

    layer_flatten(object, data_format = NULL, input_shape = NULL,
      dtype = NULL, name = NULL, trainable = NULL, weights = NULL)

### Arguments

`object` | Model or layer object
`data_format` | A string. one of `channels_last` (default) or `channels_first`. The ordering of the dimensions in the inputs. The purpose of this argument is to preserve weight ordering when switching a model from one data format to another. `channels_last` corresponds to inputs with shape `(batch, ..., channels)` while `channels_first` corresponds to inputs with shape `(batch, channels, ...)`. It defaults to the `image_data_format` value found in your Keras config file at `~/.keras/keras.json`. If you never set it, then it will be "channels_last".
`input_shape` | Input shape (list of integers, does not include the samples axis) which is required when using this layer as the first layer in a model.
`dtype` | The data type expected by the input, as a string (`float32`, `float64`, `int32`...)
`name` | An optional name string for the layer. Should be unique in a model (do not reuse the same name twice). It will be autogenerated if it isn't provided.
`trainable` | Whether the layer weights will be updated during training.
`weights` | Initial weights for layer.

### See Also

Other core layers: `layer_activation`, `layer_activity_regularization`, `layer_dense`, `layer_dropout`, `layer_input`, `layer_lambda`, `layer_masking`, `layer_permute`, `layer_repeat_vector`, `layer_reshape`

[Package keras version 2.2.4 Index]